---
# {{ ansible_managed }}
global:
  scrape_interval:     15s # By default, scrape targets every 15 seconds.
  evaluation_interval: 15s # By default, scrape targets every 15 seconds.
  # scrape_timeout is set to the global default (10s).

  # Attach these labels to any time series or alerts when communicating with
  # external systems (federation, remote storage, Alertmanager).
  external_labels:
      monitor: 'dsx-ops'

# Load and evaluate rules in this file every 'evaluation_interval' seconds.
rule_files:
  - 'alert.rules'

# alert
alerting:
  alertmanagers:
  - scheme: http
    static_configs:
    - targets:
      - "alertmanager:9093"

scrape_configs:
  - job_name: 'prometheus'
    # Override the global default and scrape targets from this job every 5 seconds.
    scrape_interval: 5s
    static_configs:
      - targets: ['127.0.0.1:9090']
        labels:
          instance: "{{ inventory_hostname }}"

  - job_name: 'zammad_exporter'
    static_configs:
{% for item in hostvars[inventory_hostname]["groups"]["zammad"]: %}
{% if 'zammad_exporter_listen_address' in hostvars[item] %}
      - targets: ['{{ hostvars[item]["zammad_exporter_listen_address"] }}:9390']
        labels:
          instance: "{{ item }}"
{% endif %}
{% endfor %}
  - job_name: 'postgresql_exporter'
    static_configs:
{% for item in hostvars[inventory_hostname]["groups"]["zammad"]: %}
{% if 'zammad_exporter_listen_address' in hostvars[item] %}
      - targets: ['{{ hostvars[item]["zammad_exporter_listen_address"] }}:9187']
        labels:
          instance: "{{ item }}"
{% endif %}
{% endfor %}
  - job_name: 'cadvisor'
    static_configs:
      - targets: ['cadvisor:8080']
        labels:
          instance: "{{ inventory_hostname }}"
{% for item in hostvars[inventory_hostname]["groups"]["zammad"]: %}
{% if 'zammad_exporter_listen_address' in hostvars[item] %}
      - targets: ['{{ hostvars[item]["zammad_exporter_listen_address"] }}:8080']
        labels:
          instance: "{{ item }}"
{% endif %}
{% endfor %}
